//+------------------------------------------------------------------+
//|                                                  GG-TrendBar.mq4 |
//|                                                           GGekko |
//|                                                                  |
//+------------------------------------------------------------------+
//| GG-TrendBar_TRO_MODIFIED_VERSION                                 |
//| MODIFIED BY AVERY T. HORTON, JR. AKA THERUMPLEDONE@GMAIL.COM     |
//| I am NOT the ORIGINAL author 
//  and I am not claiming authorship of this indicator. 
//  All I did was modify it. I hope you find my modifications useful.|
//|                                                                  |
//+------------------------------------------------------------------+
 
#property copyright "GGekko"
#property link      ""

#property indicator_chart_window
  
extern int  yAxis = 0 ;

extern string ___IndicatorSetup___=">>> Indicator Setup:<<<";
extern int ADX_Period=14;
extern int ADX_Price=PRICE_CLOSE;
extern double Step_Psar=0.02;
extern double Max_Psar=0.2;
extern string ___DisplaySetup___=">>> Display Setup:<<<";

extern color UpColor   =Lime;
extern color DownColor =Red;
extern color FlatColor =Yellow;
extern color TextColor =DodgerBlue;

extern int   Corner = 1;



int tframe[]={1,5,15,30,60,240,1440,10080,43200};

string tf[]={"M1","M5","M15","M30","H1","H4","D1","W1","MN"};

int tfnumber=9;  

double Psar;
double PADX,NADX;
string TimeFrameStr;
double IndVal[9];

int xpos[9], ypos[9];
int w , j , xposTAG;

string TAG = "gg-TB";

string ArrowHeadRt =  "" ; // 216 up arrow head
string ArrowHeadUp =  "" ; // 217 up arrow head
string ArrowHeadDn =  "" ; // 218 up arrow head 

string theArrow[9];
color  theColor[9];

//+------------------------------------------------------------------+
int init()
  {

if(Corner == 1 || Corner == 3)
{ 
   for( w = 0 ; w < tfnumber ; w++) { xpos[w] = 15 + ((9 - w)*23)  ; } 
   xposTAG = 240 ;
} 
else
{
   for( w=0;w<tfnumber;w++) { xpos[w] = w*23 + 50 ; }
   xposTAG = 10 ;
}

         ObjectCreate(TAG+"HD",OBJ_LABEL,0,0,0,0,0);
         ObjectSet(TAG+"HD",OBJPROP_CORNER,Corner);
         ObjectSet(TAG+"HD",OBJPROP_XDISTANCE,xposTAG);
         ObjectSet(TAG+"HD",OBJPROP_YDISTANCE,yAxis+30);
         ObjectSetText(TAG+"HD",TAG,8,"Tahoma",TextColor);

   for( w=0;w<tfnumber;w++)
      {
         ObjectCreate(TAG+tf[w],OBJ_LABEL,0,0,0,0,0);
         ObjectSet(TAG+tf[w],OBJPROP_CORNER,Corner);
         ObjectSet(TAG+tf[w],OBJPROP_XDISTANCE,xpos[w]);
         ObjectSet(TAG+tf[w],OBJPROP_YDISTANCE,yAxis+20);
         ObjectSetText(TAG+tf[w],tf[w],8,"Tahoma",TextColor);
      }

//----
   return(0);
  } 
  
//+------------------------------------------------------------------+
int deinit()
  {
//----
   ObjectDelete(TAG+"HD");
   for(int k=0;k<tfnumber+1;k++)
      ObjectDelete(TAG+k);
   for(k=0;k<tfnumber+1;k++)
      ObjectDelete(tf[k-1]);
   
//----
   return(0);
  }
  
//+------------------------------------------------------------------+
int start()
  {
   
//----
   

   for( j=0;j<tfnumber ;j++)
   {
      if (ObjectFind(TAG+j) != 0)
      {
         ObjectCreate(TAG+j,OBJ_LABEL,0,0,0,0,0);
         ObjectSet(TAG+j,OBJPROP_CORNER,Corner);
         ObjectSet(TAG+j,OBJPROP_XDISTANCE,xpos[j]);
         ObjectSet(TAG+j,OBJPROP_YDISTANCE,yAxis+30);
         ObjectSetText(TAG+j,CharToStr(110),12,"Wingdings",White);
      }// if
   } // for

      
   for(int x=0;x<tfnumber;x++)
      {
      
      PADX=iADX(NULL,tframe[x],ADX_Period ,ADX_Price,1,0);
      NADX=iADX(NULL,tframe[x],ADX_Period ,ADX_Price,2,0);
      Psar=iSAR(NULL,tframe[x],Step_Psar,Max_Psar,0) ;
      
        if (Psar < iClose(NULL,tframe[x],0) && PADX > NADX)
        {
         IndVal[x]   = 1;
         theArrow[x] = ArrowHeadUp ;
         theColor[x] = UpColor ;
        }
        else if (Psar > iClose(NULL,tframe[x],0) && NADX > PADX)
        {
         IndVal[x]   = -1;
         theArrow[x] = ArrowHeadDn ;
         theColor[x] = DownColor ;         
        }
        else 
        {
         IndVal[x]   = 0;
         theArrow[x] = ArrowHeadRt ;
         theColor[x] = FlatColor ;
        }
     }
   
   
      for(int y=0;y<tfnumber;y++)
      {
         ObjectSetText(TAG+y,theArrow[y],12,"Wingdings",theColor[y]);
      }  
        
   
//----
   return(0);
  }
//+------------------------------------------------------------------+